Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038766
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-06-15 10:352018-06-26 13:47
ReporteralostaleView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision5ec5054e4cff
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038766: audit fields don't get updated when scheduling/unscheduling process requests

DescriptionWhen a Process Request is scheduled or unscheduled, audit fields don't get updated.
Steps To Reproduce1. Log in with Openbravo user
2. Create a new Process Request for any process
  -> Check audit fields are correctly set with current user and date
3. Log out
4. Log in with another user
5. In Process Request window select previously created process and schedule it clicking on the Schedule button
  -> ERROR: updated and updated fields remain as they initially were
6. Unschedule that Process Request
  -> ERROR: updated and updated fields remain as they initially were
Proposed SolutionNote when fixing: check also audit trail gets correctly populated
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038804 acknowledgedplatform jobUnscheduled method in ProcessMonitor is never called 

-  Notes
(0105304)
hgbot (developer)
2018-06-21 14:03

Repository: erp/devel/pi
Changeset: 5ec5054e4cffcaecb3c58dd968bd607f10fe362c
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Jun 18 18:13:28 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5ec5054e4cffcaecb3c58dd968bd607f10fe362c [^]

Fixed issue 38766: Audit fields not updated for process request when scheduling.

When updating process request status, audit fields (updated, updatedby) fields
are not included in update query.

---
M src/org/openbravo/scheduling/OBScheduler.java
M src/org/openbravo/scheduling/ProcessMonitor.java
M src/org/openbravo/scheduling/ProcessRequest_data.xsql
M src/org/openbravo/scheduling/ProcessRunner.java
---
(0105318)
hudsonbot (developer)
2018-06-21 18:05

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c34295dcdb97 [^]
Maturity status: Test
(0105326)
caristu (developer)
2018-06-22 10:05

Reopened. See https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0105333)
hgbot (developer)
2018-06-22 10:52

Repository: erp/devel/pi
Changeset: 9edd416002b7bd73d0d2ae49462d31cac2d97bcc
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Jun 22 10:51:35 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9edd416002b7bd73d0d2ae49462d31cac2d97bcc [^]

Related to issue 38766: Added updated field in ProcessRequestData:setContext()

---
M src/org/openbravo/scheduling/ProcessRequest_data.xsql
---
(0105342)
caristu (developer)
2018-06-22 13:16

Code reviewed + tested OK.
(0105451)
hudsonbot (developer)
2018-06-26 13:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f403f60ff29 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-15 10:35 alostale New Issue
2018-06-15 10:35 alostale Assigned To => platform
2018-06-15 10:35 alostale Modules => Core
2018-06-15 10:35 alostale Triggers an Emergency Pack => No
2018-06-15 10:39 alostale Proposed Solution updated
2018-06-15 11:28 alostale Status new => acknowledged
2018-06-18 11:52 avicente Severity minor => major
2018-06-18 11:52 avicente Reproducibility have not tried => always
2018-06-18 13:56 jarmendariz Assigned To platform => jarmendariz
2018-06-18 18:40 jarmendariz Status acknowledged => scheduled
2018-06-21 12:51 jarmendariz Relationship added related to 0038804
2018-06-21 14:03 hgbot Checkin
2018-06-21 14:03 hgbot Note Added: 0105304
2018-06-21 14:03 hgbot Status scheduled => resolved
2018-06-21 14:03 hgbot Resolution open => fixed
2018-06-21 14:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ec5054e4cffcaecb3c58dd968bd607f10fe362c [^]
2018-06-21 14:08 jarmendariz Review Assigned To => caristu
2018-06-21 18:05 hudsonbot Checkin
2018-06-21 18:05 hudsonbot Note Added: 0105318
2018-06-22 10:05 caristu Note Added: 0105326
2018-06-22 10:05 caristu Status resolved => new
2018-06-22 10:05 caristu Resolution fixed => open
2018-06-22 10:52 hgbot Checkin
2018-06-22 10:52 hgbot Note Added: 0105333
2018-06-22 13:16 caristu Status new => scheduled
2018-06-22 13:16 caristu Status scheduled => resolved
2018-06-22 13:16 caristu Resolution open => fixed
2018-06-22 13:16 caristu Note Added: 0105342
2018-06-22 13:16 caristu Status resolved => closed
2018-06-22 13:16 caristu Fixed in Version => 3.0PR18Q3
2018-06-26 13:47 hudsonbot Checkin
2018-06-26 13:47 hudsonbot Note Added: 0105451


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker